## python-jaeger-client 4.8.0

=== Makefile ===
project := jaeger_client
projects := jaeger_client crossdock
flake8 := flake8
COV_DIRS := $(projects:%=--cov %)
pytest_args := -s --tb short --cov-config .coveragerc $(COV_DIRS) tests
pytest := py.test $(pytest_args)
sources := $(shell find $(projects) tests -name '*.py' | grep -v version.py | grep -v thrift_gen)

test_args := --cov-report term-missing --cov-report xml --junitxml junit.xml
cover_args := --cov-report html

include crossdock/rules.mk

PY_PATH = $(PYTHONPATH):$(PWD)

.DEFAULT_GOAL := test


.PHONY: bootstrap
bootstrap:
	[ "$$VIRTUAL_ENV" != "" ]
	rm -rf *.egg-info || true
	pip install -U 'pip>=9.0'
	pip install 'setuptools>=20.8.1'
	pip install -r requirements.txt
	pip install -r requirements-dev.txt
	pip install -r requirements-tests.txt
	pip install virtualenv
	python setup.py develop

.PHONY: test
test: clean
	$(pytest) $(test_args) --benchmark-skip

.PHONY: test_ci
test_ci: clean test-import test lint

.PHONY: test-import
test-import:
	virtualenv import-test
	import-test/bin/pip install -e .
	pip install "tornado$(TORNADO)"  # Reinstall Tornado version for testing.
	import-test/bin/python -c "import jaeger_client"
	rm -rf import-test

.PHONY: test-perf
test-perf: clean
	$(pytest) $(test_args) --benchmark-only

# --benchmark-histogram --benchmark-min-time=0.001

.PHONY: cover
cover: clean
	$(pytest) $(cover_args) --benchmark-skip
	open htmlcov/index.html

.PHONY: jenkins
jenkins: bootstrap
	$(pytest) $(test_args) --benchmark-skip

.PHONY: clean
clean:
	@find $(project) "(" -name "*.pyc" -o -name "coverage.xml" -o -name "junit.xml" ")" -delete
	@find tests "(" -name "*.pyc" -o -name "coverage.xml" -o -name "junit.xml" -o -name __pycache__ ")" -delete
	@find . "(" -name "*.pyc" -o -name "coverage.xml" -o -name "junit.xml" -o -name __pycache__ ")" -delete
	@rm -rf jaeger_client.egg-info
	@rm -rf .mypy_cache

.PHONY: lint
lint:
	$(flake8) $(projects) tests
	mypy $(project)
	./scripts/check-license.sh

.PHONY: shell
shell:
	ipython

# Generate jaeger thrifts
THRIFT_GEN_DIR=jaeger_client/thrift_gen
THRIFT_PACKAGE_PREFIX=jaeger_client.thrift_gen
THRIFT_VER=0.9.3
THRIFT_IMG=thrift:$(THRIFT_VER)
THRIFT_PY_ARGS=new_style,tornado
THRIFT=docker run -v "${PWD}:/data" -u $(shell id -u) $(THRIFT_IMG) thrift

idl-submodule:
	git submodule init
	git submodule update

thrift-image:
	$(THRIFT) -version

.PHONY: thrift
thrift: idl-submodule thrift-image
	rm -rf $(THRIFT_GEN_DIR)
	mkdir $(THRIFT_GEN_DIR)
	${THRIFT} -o /data --gen py:${THRIFT_PY_ARGS} -out /data/$(THRIFT_GEN_DIR) /data/idl/thrift/jaeger.thrift
	${THRIFT} -o /data --gen py:${THRIFT_PY_ARGS} -out /data/$(THRIFT_GEN_DIR) /data/idl/thrift/zipkincore.thrift
	${THRIFT} -o /data --gen py:${THRIFT_PY_ARGS} -out /data/$(THRIFT_GEN_DIR) /data/idl/thrift/agent.thrift
	${THRIFT} -o /data --gen py:${THRIFT_PY_ARGS} -out /data/$(THRIFT_GEN_DIR) /data/idl/thrift/sampling.thrift
	rm -rf ${THRIFT_GEN_DIR}/*/*-remote
	set -e; \
	for f in $$(find ${THRIFT_GEN_DIR} -iname '*.py'); do \
	  echo fixing $$f; \
	  awk -f thrift-gen-fix.awk package_prefix=${THRIFT_PACKAGE_PREFIX} $$f > tmp; \
	  mv tmp $$f; \
	done

update-license:
	python scripts/updateLicense.py $(sources)

=== debian/changelog ===
python-jaeger-client (4.8.0-2) unstable; urgency=medium

  * Add remove-tests-with-yield.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 16:21:17 +0200

python-jaeger-client (4.8.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1079909)

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2023 13:22:56 +0200

=== debian/control ===
Source: python-jaeger-client
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-opentracing,
 python3-prometheus-client,
 python3-py,
 python3-pycurl,
 python3-pytest,
 python3-pytest-benchmark,
 python3-pytest-httpserver,
 python3-six,
 python3-threadloop,
 python3-thrift,
 python3-tornado,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-jaeger-client
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-jaeger-client.git
Homepage: https://github.com/jaegertracing/jaeger-client-python

Package: python3-jaeger-client
Architecture: all
Depends:
 python3-opentracing,
 python3-prometheus-client,
 python3-pycurl,
 python3-six,
 python3-thrift,
 python3-tornado,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenTracing tracer implementation
 This is a client-side library that can be used to instrument Python apps for
 distributed trace collection, and to send those traces to Jaeger. See the
 OpenTracing Python API for additional detail.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/jaegertracing/jaeger-client-python
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v --ignore tests/test_tracer_benchmark.py tests -k 'not test_baggage_as_unicode_strings_with_httplib and not test_error_reporter_sends_metrics_if_configured'

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/jaeger-client/jaeger-client-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
